@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/* Resetting CSS */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", system-ui;
  color: aliceblue;
  transition: all 0.2s;
  text-decoration: none;
  overflow-x: hidden;
  scroll-behavior: smooth;
  user-select: none !important;
}

.background {
  background: #000000ab url(../images/background.png) no-repeat;
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background-blend-mode: overlay;
  background-size: cover;
  z-index: -2;
}

.nav {
  display: flex;
  position: fixed;
  align-items: center;
  justify-content: space-between;
  top: 20px;
  background: rgba(255, 255, 255, 0.048);
  width: 95vw;
  height: 60px;
  border: 1px solid rgba(255, 255, 255, 0.094);
  border-radius: 100px;
  backdrop-filter: blur(5px);
  overflow: hidden;
  z-index: 4;
}

.nav > .logo {
  margin: 10px;
  height: 70%;
  aspect-ratio: 1/1;
  box-shadow: 0px 0px 20px rgb(0, 255, 81);
  border-radius: 50%;
  overflow: hidden;
  display: grid;
  place-items: center;
  animation: pulse 2s infinite;
}

.nav > .logo > img {
  width: 100%;
  transition: 0.3s;
}

@keyframes pulse {
  0%,
  100% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }
}

.nav > .links {
  display: flex;
  justify-content: right;
}

.nav > .links > ul {
  width: 100%;
  display: flex;
  justify-content: right;
}

.nav > .links > ul > li {
  display: inline;
  margin-right: 15px;
}

.nav > .links > ul > li > a:hover {
  color: rgb(0, 255, 81);
}

.main {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.home {
  display: flex;
  flex-wrap: wrap;
  height: 90vh;
  width: 80%;
  margin: 0 20px;
  flex-direction: column;
  align-items: left;
  justify-content: center;
}

.home > h1 > span {
  color: rgb(0, 255, 81);
}

.home > h1 {
  font-size: clamp(55px, 5vw, 80px);
}

.home > p,
.home > h1,
.home > .social-links {
  padding: 0 12px;
  width: 100%;
}

.home > span {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.home > span > a > button {
  padding: 12px;
  border-radius: 100px;
  backdrop-filter: blur(3px);
  background: rgba(255, 255, 255, 0.048);
  border: 1px solid rgba(0, 0, 0, 0.094);
  box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.612);
  margin: 12px;
  font-weight: 500;
  cursor: pointer;
}

.home > span > a > button:hover span {
  color: rgb(0, 255, 81);
}
.home > span > a > button:hover,
.social-links > a:hover {
  transform: scale(1.05);
  background: rgba(0, 0, 0, 0.179);
}

.home > span > a > button:hover svg,
.social-links > a:hover svg {
  fill: rgb(0, 255, 81);
}

.social-links {
  padding: 10px;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
  a {
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 1;
    padding: 10px;
    border-radius: 100px;
    backdrop-filter: blur(3px);
    background: rgba(255, 255, 255, 0.048);
    border: 1px solid rgba(255, 255, 255, 0.411);
    box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.612);
  }
}

.center {
  display: flex;
  align-items: center;
  justify-content: center;
  text-wrap: nowrap;
}

.about {
  border: 1px solid rgba(255, 255, 255, 0.094);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  background: rgba(255, 255, 255, 0.048);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  display: flex;
  width: 90vw;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: row;
  overflow: hidden;
  border-radius: 20px;
  margin-bottom: 30px;
  padding: 15px;
  transform-style: preserve-3d;
}

.about > .text {
  display: flex;
  flex-direction: column;
  min-width: 50%;
  width: 300px;
  padding: 10px;
}

.about > .text > h1,
.about > .skills > h1 {
  color: rgb(0, 255, 81);
  font-size: 40px;
}

.about > .text > p {
  text-align: justify;
  line-height: 33px;
}

.about > .skills {
  min-width: 50%;
  width: 300px;
  padding: 10px;
}

.about > .skills > ul > .bar {
  width: 100%;
  height: 10px;
  overflow: hidden;
  border-radius: 20px;
  animation: progress 3s linear infinite;
  background: linear-gradient(to right, rgb(0, 171, 54) 25%, rgb(0, 82, 26) 50%, rgb(0, 171, 54) 75%);
  background-size: 200% 100%;
}

@keyframes progress {
  0% {
    background-position: 200% 0%;
  }
  100% {
    background-position: 0% 0%;
  }
}

.p-75 {
  width: 75% !important;
}
.p-65 {
  width: 65% !important;
}
.p-85 {
  width: 85% !important;
}
.p-30 {
  width: 30% !important;
}
.p-35 {
  width: 35% !important;
}
.p-45 {
  width: 45% !important;
}
.p-50 {
  width: 50% !important;
}
.p-80 {
  width: 80% !important;
}
.about > .btn > button {
  width: 120px;
  padding: 12px;
  border-radius: 100px;
  backdrop-filter: blur(3px);
  background: rgba(255, 255, 255, 0.048);
  border: 1px solid rgba(0, 0, 0, 0.094);
  box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.612);
  margin: 12px;
  cursor: pointer;
}

.about > .btn > button:hover {
  background: rgba(0, 0, 0, 0.179);
  color: rgb(0, 255, 81);
  transform: scale(1.05);
}

.game {
  background: rgba(0, 97, 31, 0.724);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  width: 100vw;
  align-items: center;
  justify-content: center;
  display: flex;
  flex-wrap: wrap;
}

.game > .heading {
  width: 100%;
  display: flex;
  justify-content: center;
}

.game > .heading > h1 {
  font-size: 40px;
}

.box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 20px;
}

.box:hover img {
  transform: scale(1.15);
  filter: brightness(0.7);
}

.box > .image {
  width: 300px;
  height: 300px;
  border-radius: 20px;
  overflow: hidden;
}

.box > .image > a > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.contact {
  border: 1px solid rgba(255, 255, 255, 0.094);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  background: rgba(255, 255, 255, 0.048);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  width: 90vw;
  height: 80vh;
  border-radius: 20px;
  margin: 30px;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: row;
  transform-style: preserve-3d;
  overflow: hidden;
}

.contact > .heading {
  width: 100%;
  display: grid;
  place-items: center;
}

.contact > .heading > h1 {
  color: rgb(0, 255, 81);
  font-size: 40px;
}

.contact > form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-width: 50%;
  width: 300px;
  padding: 10px;
}

.contact > form > input {
  background: transparent;
  border: none;
  outline: none;
  width: 90%;
  border: 1px solid white;
  border-radius: 30px;
  padding: 10px 15px;
  font-size: 17px;
  margin: 8px;
}

.contact > form > textarea {
  background: transparent;
  border-radius: 30px;
  font-size: 17px;
  width: 90%;
  height: 50%;
  border: none;
  outline: none;
  border: 1px solid white;
  margin: 8px;
  padding: 10px 15px;
  resize: none;
}

.contact > form > .sendBtn {
  width: 120px;
  padding: 12px;
  border-radius: 100px;
  backdrop-filter: blur(3px);
  background: rgb(0, 255, 81);
  text-shadow: 1px px rgba(0, 0, 0, 0.612);
  border: 1px solid rgba(0, 0, 0, 0.094);
  box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.612);
  overflow: hidden;
  cursor: pointer;
}

.contact > form > .sendBtn:hover {
  background: rgba(0, 0, 0, 0.179);
  color: rgb(0, 255, 81);
  transform: scale(1.05);
}
.contact > .image > iframe {
  width: 100%;
  height: 98%;
  filter: saturate(150%) hue-rotate(100deg);
  border-radius: 20px;
  opacity: 0.5;
}

footer {
  width: 100vw;
  height: fit-content;
  background: rgba(0, 0, 0, 0.637);
  backdrop-filter: blur(3px);
  border-top: 1px solid rgba(255, 255, 255, 0.129);
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: row;
}

.footerStuff {
  padding: 30px;
  min-width: 33%;
  width: 300px;
}

.footerStuff > h2 {
  color: rgb(0, 255, 81);
}

.footerStuff > p,
.footerStuff > ul {
  margin-top: 20px;
  line-height: 25px;
  text-align: justify;
}

.footerStuff > ul > li {
  margin-top: 10px;
}

.footerStuff > ul > li > a:hover {
  color: rgb(0, 255, 81);
}

footer > .line {
  width: calc(100% - 80px);
  height: 1px;
  margin-bottom: 25px;
  background: white;
  border-radius: 10px;
  display: block;
}

.copyright {
  text-align: center;
}

footer > .social {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  margin: 20px;
}

footer > .social > ul {
  padding: 10px 0px 5px 0px;
}

footer > .social > ul > li {
  display: inline;
  margin: 0px 10px;
}

footer > .social > ul > li > img {
  width: 30px;
  cursor: pointer;
  border-radius: 50%;
}

footer > .social > ul > li > img:hover {
  margin: 0px 10px;
  box-shadow: 0px 0px 10px rgb(255, 255, 255);
}

.topBtn {
  position: fixed;
  display: grid;
  place-items: center;
  z-index: 6;
  bottom: 20px;
  right: 20px;
  padding: 10px;
  background: radial-gradient(
    circle,
    rgb(0, 171, 54) 0%,
    rgba(0, 255, 81) 100%
  );
  color: rgb(255, 255, 255);
  border-radius: 80px;
  backdrop-filter: blur(3px);
}

.pop-up {
  display: none;
  border: 1px solid rgba(255, 255, 255, 0.094);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  background: rgba(255, 255, 255, 0.048);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  position: fixed;
  width: 320px;
  aspect-ratio: 1;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 10px;
  .pop-up-message {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    text-align: center;
  }
  .cross {
    position: absolute;
    display: grid;
    place-items: center;
    width: 40px;
    margin: 15px;
    aspect-ratio: 1;
    right: 0;
    background: radial-gradient(
      circle,
      rgb(0, 171, 54) 0%,
      rgba(0, 255, 81) 100%
    );
    border-radius: 100%;
  }
}

.topBtn:hover,
.cross:hover {
  background: radial-gradient(circle, rgb(0, 109, 34) 0%, rgb(0, 201, 64) 100%);
  box-shadow: 0px 0px 5px black;
}

::-webkit-scrollbar {
  display: none;
}





.loader {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(0, 0, 0);
  z-index: 9999;
  opacity: 1;
}


.bar {
  display: inline-block;
  width: 3px;
  height: 20px;
  background-color: rgba(255, 255, 255, .5);
  border-radius: 10px;
  animation: scale-up4 1s linear infinite;
}

.bar:nth-child(2) {
  height: 35px;
  margin: 0 5px;
  animation-delay: .25s;
}

.bar:nth-child(3) {
  animation-delay: .5s;
}

@keyframes scale-up4 {
  20% {
    background-color: #ffff;
    transform: scaleY(1.5);
  }

  40% {
    transform: scaleY(1);
  }
}